Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 44249)
+++ apps/app_queue.c	(working copy)
@@ -2527,6 +2527,10 @@
 						"Queue: %s\r\n"
 						"Location: %s\r\n",
 					q->name, last_member->interface);
+				/* Logging */
+				ast_log(LOG_DEBUG, "Removing member %s from queue %s:\n", last_member->interface, q->name);
+				ast_queue_log(q->name, "NONE", last_member->interface, "QUEUEMEMBERREMOVED", "", "");
+				
 				free(last_member);
 
 				if (queue_persistent_members)
@@ -2582,7 +2586,10 @@
 						"Paused: %d\r\n",
 						q->name, new_member->interface, new_member->dynamic ? "dynamic" : "static",
 						new_member->penalty, new_member->calls, (int)new_member->lastcall, new_member->status, new_member->paused);
-
+				/* Logging */
+				ast_log(LOG_DEBUG, "Adding member %s in queue %s:\n", new_member->interface, q->name);
+    			ast_queue_log(q->name, "NONE", new_member->interface, "QUEUEMEMBERADDED", "", "");
+				
 				if (dump)
 					dump_queue_members(q);
 
